services:
  prometheus:
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:9090"
    volumes:
      - ./conf:/etc/prometheus/
      - ./prometheus:/prometheus
    image: prom/prometheus:v3.10.0
    command: 
      - '--config.file=/etc/prometheus/prometheus.yml'
      - '--storage.tsdb.path=/prometheus'
      - '--web.console.libraries=/etc/prometheus/console_libraries'
      - '--web.console.templates=/etc/prometheus/consoles'
      - '--storage.tsdb.retention.time=200h'
    labels:  
      createdBy: "Apps"
networks:  
  opsmind-network:  
    external: true
